GET
/
merchants
/
fees
/
getAll
cURL
curl -X GET "https://api.onekhusa.com/sandbox/v1/merchants/fees/getAll?MerchantAccountNumber=35253486" \
  --header "Authorization: Bearer your-jwt-token" \
  --header "accept: application/json" \
  --header "Accept-Language: en"
[
  {
    "merchantAccountNumber": 12445132,
    "transactionType": "Account To Merchant",
    "currencyCode": "MWK",
    "convenienceFee": 0,
    "transactionFeeTag": "P",
    "transactionFee": 1,
    "governmentLevyFeeTagCode": "F",
    "governmentLevyFeeAmount": 0,
    "vatPercentage": 0,
    "merchantFeeTag": "P",
    "merchantFee": 0
  },
  {
    "merchantAccountNumber": 12445132,
    "transactionType": "Merchant To Account",
    "currencyCode": "MWK",
    "convenienceFee": 700,
    "transactionFeeTag": "P",
    "transactionFee": 1,
    "governmentLevyFeeTagCode": "P",
    "governmentLevyFeeAmount": 0.05,
    "vatPercentage": 17.5,
    "merchantFeeTag": "P",
    "merchantFee": 0
  },
  {
    "merchantAccountNumber": 12445132,
    "transactionType": "Marchant To Mobile Wallet",
    "currencyCode": "MWK",
    "convenienceFee": 200,
    "transactionFeeTag": "P",
    "transactionFee": 1,
    "governmentLevyFeeTagCode": "P",
    "governmentLevyFeeAmount": 0.05,
    "vatPercentage": 17.5,
    "merchantFeeTag": "P",
    "merchantFee": 0
  },
  {
    "merchantAccountNumber": 12445132,
    "transactionType": "Mobile Wallet To Merchant",
    "currencyCode": "MWK",
    "convenienceFee": 0,
    "transactionFeeTag": "P",
    "transactionFee": 1,
    "governmentLevyFeeTagCode": "F",
    "governmentLevyFeeAmount": 0,
    "vatPercentage": 0,
    "merchantFeeTag": "P",
    "merchantFee": 0
  },
  {
    "merchantAccountNumber": 12445132,
    "transactionType": "Revenue To Bank Account",
    "currencyCode": "MWK",
    "convenienceFee": 700,
    "transactionFeeTag": "P",
    "transactionFee": 0,
    "governmentLevyFeeTagCode": "F",
    "governmentLevyFeeAmount": 0,
    "vatPercentage": 0,
    "merchantFeeTag": "P",
    "merchantFee": 0
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your access token.

Headers

Accept-Language
string
default:en

Preferred language for the response

Query Parameters

MerchantAccountNumber
integer
required

The unique identifier of the merchant account

Required range: 10000000 <= x <= 99999999
Example:

35253486

Response

Success Response (200)

merchantAccountNumber
integer

The unique identifier of the merchant account

Example:

35253486

transactionType
string

The type of transaction the charges apply to

Example:

"Account To Merchant"

convenienceFee
number<decimal>

The convenience fee amount charged for the transaction

Example:

625

transactionFeeTag
string

Indicates if the transaction fee is a percentage or fixed amount

Example:

"P"

transactionFee
number<decimal>

The transaction fee amount (either fixed amount or percentage)

Example:

1

vatPercentage
number<decimal>

The VAT percentage applicable to the transaction fee

Example:

16.5

governmentLevyFeeTagCode
string

Indicates if the government levy fee is a percentage or fixed amount

Example:

"F"

governmentLevyFeeAmount
number<decimal>

The government levy fee amount (either fixed amount or percentage)

Example:

0.05

currencyCode
string

Currency code for the above fees

Example:

"MWK"

merchantFeeTag
string

Indicates if the merchant fee is a percentage or fixed amount

Example:

"P"

merchantFee
number<decimal>

The merchant fee amount (either fixed amount or percentage)

Example:

0